﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using DB.Entity;
using DB.Util;
using DB.ORM;




namespace DB.DAO
{

    public class StudentDAO : IEntity<Student>
    {

        public TsqlCommand Insert(Student entity)
        {
            TsqlCommand sql = ModelReflection<Student>.Insert(entity);
            return sql;
        }

        public TsqlCommand Update(Student entity)
        {
            TsqlCommand sql = ModelReflection<Student>.Update(entity);
            return sql;
        }

        public TsqlCommand Delete(object ID)
        {
            TsqlCommand sql = ModelReflection<Student>.Delete(ID);
            return sql;
        }

        public TsqlCommand GetByID(object ID)
        {
            TsqlCommand sql = ModelReflection<Student>.Select();

            TsqlParameter pa = new TsqlParameter()
            {
                PiName = "ID",
                Value = ID,
                Condition = CompareCondition.EqualTo
            };
            ModelReflection<Student>.CreateParameter(sql, pa);

            return sql;
        }

        public TsqlCommand GetList()
        {
            TsqlCommand sql = ModelReflection<Student>.Select();
            return sql;
        }

        public TsqlCommand DeleteByIds(string[] ids)
        {
            string strIds = string.Join(",", ids);
            TsqlCommand sql = ModelReflection<Student>.DeleteByIds(strIds);
            return sql;
        }


        public TsqlCommand GetListByPaging(PagingCondtion<Student> condition)
        {
            return null;
        }

    }
}
