﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DB.Entity
{

    /// <summary>
    /// 数据库
    /// </summary>
    public abstract class DBContext
    {
        public DBContext()
        {

        }

        public DBContext(string ip, string uid, string pwd, string dbName)
        {
            this._IP = ip;
            this._UID = uid;
            this._PWD = pwd;
            this._DbName = dbName;
        }

        private string _IP;
        private string _UID;
        private string _PWD;
        private string _DbName;

        public string DbName
        {
            get { return _DbName; }
            set { _DbName = value; }
        }

        public string PWD
        {
            get { return _PWD; }
            set { _PWD = value; }
        }

        public string UID
        {
            get { return _UID; }
            set { _UID = value; }
        }

        public string IP
        {
            get { return _IP; }
            set { _IP = value; }
        }

        public string GetConnection()
        {
            return "server=" + IP + ";uid=" + UID + ";pwd=" + PWD + ";database=" + DbName + ";";
        }

    }
}
