﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using System.Data.SqlClient;

namespace DB.Util
{
    abstract class DBHelper
    {
        #region 执行一个命令，返回数据集或数据表

        public static DataSet ExecuteDataSet(SqlCommand command)
        {
            SqlDataAdapter adapter = new SqlDataAdapter(command);
            DataSet ds = new DataSet();
            adapter.Fill(ds);
            command.Parameters.Clear();
            return ds;
        }

        public static DataTable ExecuteDataTable(SqlCommand command)
        {
            return ExecuteDataSet(command).Tables[0];
        }

        public static object ExcuteSingle(SqlCommand command)
        {
            return command.ExecuteScalar();
        }

        public static int ExcuteQuery(SqlCommand command)
        {
            return command.ExecuteNonQuery();
        }
        #endregion
    }
}
