﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DB.Util
{

    /// <summary>
    /// 比较条件
    /// 列在前，值在后
    /// </summary>
    public enum CompareCondition
    {
        /// <summary>
        /// 等于
        /// </summary>
        EqualTo = 0,

        /// <summary>
        /// 列>值
        /// </summary>
        GreaterThan = 1,
        /// <summary>
        /// 列>=值
        /// </summary>
        GreaterThanEqual = 2,

        /// <summary>
        /// 列 《 值
        /// </summary>
        LessThan = 3,
        /// <summary>
        /// 列 《= 值
        /// </summary>
        LessThanEqual = 4,

        /// <summary>
        /// 包含
        /// 列.Contain(值)
        /// </summary>
        Contain = 5,
        /// <summary>
        /// 属于
        /// 列.IndexOf(值)>0
        /// </summary>
        BelongTo = 6
    }


}
