﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DB.ORM;
using System.Data;

namespace DB.Entity
{

    public class Student
    {

        private int _userID;

        private string _userName;


        private DateTime _date;

        [Models(Default = 0, Length = 4, DbType = SqlDbType.DateTime)]
        public DateTime Date
        {
            get { return _date; }
            set { _date = value; }
        }


        [Models(Length = 50, Default = "", DbType = SqlDbType.VarChar)]
        public string Name
        {
            get { return _userName; }
            set { _userName = value; }
        }



        [Models(Length = 4, IsPrimary = true, IsIdentity = true, DbType = SqlDbType.Int)]
        public int ID
        {
            get { return _userID; }
            set { _userID = value; }
        }

    }



}
